Dependency not met errors - Kodi installed on MacBook Pro- Need help

jloop28

New member
Mar 22, 2016
1
0
0
Up until a few days ago, Kodi was working just fine. Yesterday I opened Kodi and was presented with the dreaded "add-on is incompatible due to unmet dependencies" error windows for multiple add ons. Each add-on requests my confirmation to disable, each and every time I click on "yes" or "no" and the windows keep popping up. I can't access anything in Kodi because the windows are non-stop regardless of what I do.

I have attempted to uninstall Kodi and re-install. No success. I have attempted to remove kodi folders but apparently there is some hidden folder or log that keeps me from doing a fresh install of Kodi. Essentially Kodi is stuck on a loop continuously presenting me with the "..unmet dependencies.." windows.



Someone please help.
 

Hagler

New member
Mar 24, 2016
2
0
0
Hello jloop28, I am having the exact same issues and have tried to uninstall Kodi and re-install with the same results as you. Started this week and also on a MackBook Pro.

I believe it started shortly after updating mac os x el capitan..

Also would appreciate some help.
 

strike0408

New member
Nov 29, 2012
774
1
0
Canada
if you install latest stable version of kodi 16.0 that should override your old kodi, while still keeping all your addons intacked...
 

Hagler

New member
Mar 24, 2016
2
0
0
Was running kodi 16.0, reinstalled Kodi 15.2 and that version is working. Then reinstalled 16.0 and was back to the same problems. Hoping there will be a new update soon that may fix this issue.

Thanks
 

monti

New member
Mar 24, 2016
3
0
0
Having the same problem on a Mac already have 16.1.How can delete all the files and reinstall a clean KODI
It allows u a breathing space of a second or so in-between saying yes to deleting the add on but even when managed to select fresh start it wasn't actioned.HELP
 

monti

New member
Mar 24, 2016
3
0
0
think it might be caused by ****** maintenance which I installed.How can I completely delete all previous files from Kodi and do fresh install without picking up any previous installed files
Have an IMAC with EL capitan but this is not the problem must be the delete add-on tool kit
 

franb94

New member
Aug 15, 2013
31
0
0
After you uninstall Kodi, check to make sure that there is no org.xbmc.kodi folder on your system. If there is, delete it. Then you start completely fresh.
 

monti

New member
Mar 24, 2016
3
0
0
Thank you.Kodi has now started completely clean so must have been the above maintenance program finishing its work
 

michael.kaercher

New member
May 16, 2016
1
0
0
My solution

After you uninstall Kodi, check to make sure that there is no org.xbmc.kodi folder on your system. If there is, delete it. Then you start completely fresh.
Hi.

in my case I hat to eliminate the following directory:

/Volumes/Macintosh HD/Users/claudia/Library/Application Support/Kodi

All the best

Mick

PS: Strange: I just tried to post that as well to the KODI forum and the result was, that they rejected to accept me because they thought am a spammer.
 

slotsman99

New member
Jul 21, 2016
1
0
0
I am having the same error. Started when I tried to install Freetelly 2 days ago. I've removed all former versions of Kodi/XBMC using appcleaner and I can't get into the new Kodi program because I can't get past the endless loop. I've searched for files/folders using Kodi and XBMC and came up with nothing. I tried to reinstall older versions of Kodi with the same result. I am using a Macbook with El Capitan.
 

joy

New member
Jan 16, 2017
1
0
0
I have the same problem and tried all of the advice below to no avail.
Any other suggestions?
 

cscott1

New member
Jul 7, 2016
341
0
0
Open your Kodi and navigate from the home screen into SYSTEM > File manager > Profile directory > Database.
Select all the files which ends with a “.db” suffix and delete them one by one. Restart Kodi
 

LilmAF

New member
Mar 5, 2017
3
0
0
Hi Iam having the same problem, but I don´t understand what I should do, where is this library? thanks
 

LilmAF

New member
Mar 5, 2017
3
0
0
Hi Iam having the same problem, but I don´t understand what I should do, where is this library? thanks